﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartGettingStarted
{
    public class ViewModel : BindableObject
    {
        public const string JsonData = "[{\"David\":180,\"John\":160,\"Steve\":170,\"Joel\":150}]";

        public Dictionary<string, double> Data { get; set; }

        public List<Dictionary<string, double>> JsonCollection { get; set; }

        public ViewModel()
        {
            JsonCollection = JsonConvert.DeserializeObject<List<Dictionary<string, double>>>(JsonData);

            Data = new Dictionary<string, double>();

            for (int i = 0; i < JsonCollection[0].Count;)
            {
                foreach (var item in JsonCollection[i])
                {
                    Data.Add(item.Key, item.Value);
                    i++;
                }
            }
        }
    }
}
    
   
